Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Pfeilart über Makro steuern

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Pfeilart über Makro steuern (637 mal gelesen)
zaubertroll
Mitglied
Konstrukteur


Sehen Sie sich das Profil von zaubertroll an!   Senden Sie eine Private Message an zaubertroll  Schreiben Sie einen Gästebucheintrag für zaubertroll

Beiträge: 59
Registriert: 25.04.2008

SolidWorks Professionell 2017 SP5.0 x64-Edition mit DB Works 17
Windows 7

erstellt am: 13. Nov. 2012 07:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,
ich haben einige Probleme mit den Pfeilen beim konvertieren und auch die Hotline konnte mir nicht wirklich helfen. Jetzt eben ein andere Ansatz:
Ich muss Zeichnungen die ich Schreibgeschützt öffne über ein Skript folgendes unterziehen. Es sollen die ausgefüllten Peile in Pfeile geändert werden, die nicht ausgefüllt sind und an der kleinen Seite auch offen (also eher > ). Dann soll das Skript die Zeichnung unter .dwg speichern. Die Sache mit Speichern und richtigen Dateinamenn auslesen haben wir hinbekommen, aber die Sache mit den Pfeilen will irgendwie nicht funktionieren.

Manuell funktioniert das ganze ja auch wenn es eine Schreibgeschützte Zeichnung ist.

Vielleicht hat uns da jemand einen Rat.

Danek

Torsten

[Diese Nachricht wurde von zaubertroll am 13. Nov. 2012 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HenryV
Mitglied
Konstrukteur, Engineering


Sehen Sie sich das Profil von HenryV an!   Senden Sie eine Private Message an HenryV  Schreiben Sie einen Gästebucheintrag für HenryV

Beiträge: 684
Registriert: 18.05.2005

SolidWorks 2018 x64 SP4.0
Dell T3600 Workstation
Intel XENON 6x3.2 GHz
NVIDIA Quadro 4000 2 GB
16GB RAM
2x Dell U2412M, 24" TFT
Windows 7 Professional x64 SP1
Microsoft Office Pro 2010 SP2
Kaspersky Anti-Virus 10.2.4.674
Microsoft VB 2010 Express
SpacePilot von 3Dconnexion

erstellt am: 13. Nov. 2012 10:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für zaubertroll 10 Unities + Antwort hilfreich

Hallo Torsten

Das mit den Pfeilen ändern, sollte eigendlich so funktionieren.

Code:
Sub main()
    Set swApp = Application.SldWorks
    Set Part = swApp.ActiveDoc
    boolstatus = Part.Extension.SetUserPreferenceInteger(swUserPreferenceIntegerValue_e.swDetailingArrowStyleForDimensions, 0, swArrowStyle_e.swWIDE_ARROWHEAD)
End Sub

Gruss Andreas

------------------
21 ist nur die halbe Antwort.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

zaubertroll
Mitglied
Konstrukteur


Sehen Sie sich das Profil von zaubertroll an!   Senden Sie eine Private Message an zaubertroll  Schreiben Sie einen Gästebucheintrag für zaubertroll

Beiträge: 59
Registriert: 25.04.2008

SolidWorks Professionell 2017 SP5.0 x64-Edition mit DB Works 17
Windows 7

erstellt am: 13. Nov. 2012 10:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Andreas,
sieht mal super aus. Werde es dann mal testen und auch morgen mal schauen.

Hatte nämlich schon eine Lösung, die sich aber irgendwie "eingefressen" hatte ins System, solange Solid Works lief. Bei einem Neustart hat es aber dann nicht mehr funktioniert.

Aber DANKE mal für deine Mühe Andreas.

Gruß

Torsten

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz